سازگاری برنامه های آندروید با نسخه های قبلی

سازگاری برنامه های آندروید با نسخه های قبلیReviewed by سیدعمادحجازیان on Jun 5Rating: 1.0سازگاری برنامه های آندروید با نسخه های قبلیسازگاری برنامه های آندروید با نسخه های قبلی با استفاده از کد های RunTime

سیستم عامل آندروید روز به روز در حال گسترش است و شاهد پیشرفت سریع این سیستم عامل هستیم؟حال به عنوان برنامه نویس چه کنیم ؟آیا قید مشتریانی که از نسخه های قبلی آندروید استفاده میکنند را بزنیم؟آیا قید ویژگی های جدید این سیستم عامل را بزنیم؟
در ادامه آموزش های Android Xamarin  با ما همراه باشید تا این مشکل را به بهترین راه حل کنیم.

 

بهترین راه حل این است که بیایم بگوییم اگر نسخه سیستم عامل مشتری از نسخه مورد نظر ما پایین تر بود فلان فیچر را غیر فعال کن یا از حالت جایگزینش استفاده کن.در نمونه کد زیر نحوه پیاده سازی را میبینیم:

 

 

 

منبع : https://developer.xamarin.com/guides/android/application_fundamentals/understanding_android_api_levels